Package net.shibboleth.idp.profile.context

# Class ExternalInterceptorContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.profile.context.ExternalInterceptorContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class ExternalInterceptorContext extends BaseContext
A context representing the state of an externalized interceptor flow.

Since:
  4.0.0
Parent:
  `ProfileInterceptorContext`
Added:
  Before dispatching control to an external interceptor flow

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`eventId`
Event to signal.
`private final ExternalInterceptor`
`externalInterceptor`
Implementation object.
`private String`
`flowExecutionUrl`
Value of flowExecutionUrl on branching from flow.

## Constructor Summary

Constructors
Constructor
Description
`ExternalInterceptorContext(ExternalInterceptor interceptor)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getEventId()`
Get the event ID to signal as the result of this flow.
`ExternalInterceptor`
`getExternalInterceptor()`
Get the `ExternalInterceptor` installed in the context.
`String`
`getFlowExecutionUrl()`
Get the flow execution URL to return control to.
`ExternalInterceptorContext`
`setEventId(String id)`
Set the event ID to signal as the result of this flow.
`ExternalInterceptorContext`
`setFlowExecutionUrl(String url)`
Set the flow execution URL to return control to.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### externalInterceptor

@Nonnull private final ExternalInterceptor externalInterceptor
Implementation object.

### flowExecutionUrl

@Nullable private String flowExecutionUrl
Value of flowExecutionUrl on branching from flow.

### eventId

@Nullable private String eventId
Event to signal.

## Constructor Details

### ExternalInterceptorContext

public ExternalInterceptorContext(@Nonnull ExternalInterceptor interceptor)
Constructor.

Parameters:
  `interceptor` - implementation object

## Method Details

### getExternalInterceptor

@Nonnull public ExternalInterceptor getExternalInterceptor()
Get the `ExternalInterceptor` installed in the context.

Returns:
  the interceptor implementation

### getFlowExecutionUrl

@Nullable public String getFlowExecutionUrl()
Get the flow execution URL to return control to.

Returns:
  return location

### setFlowExecutionUrl

@Nonnull public ExternalInterceptorContext setFlowExecutionUrl(@Nullable String url)
Set the flow execution URL to return control to.

Parameters:
  `url` - return location
Returns:
  this context

### getEventId

@Nullable public String getEventId()
Get the event ID to signal as the result of this flow.

Returns:
  event ID

### setEventId

@Nonnull public ExternalInterceptorContext setEventId(@Nullable String id)
Set the event ID to signal as the result of this flow.

Parameters:
  `id` - event ID
Returns:
  this context